Summary:     Linux sensors drivers and hardware monitoring tools
Name:        lm_sensors
Version:     2.8.6
Release:     4.pp
License:     GPL
Group:       System Environment/Monitoring
Source0:     http://www2.lm-sensors.nu/~lm78/archive/%{name}-%{version}.tar.gz
Patch0:      lm_sensors-Makefile.patch
URL:         http://www2.lm-sensors.nu/~lm78/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc kernel >= 2.4.26 kernel.lmsensors perl
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel kernel-source >= 2.4.26 bison flex
ExclusiveOS: linux

%description
lm_sensors provides essential drivers for monitoring the temperatures,
voltages, and fans of Linux systems with hardware monitoring devices.
It contains drivers for sensor chips and I2C and SMBus masters, text-
based tools for sensor reporting, and a library for sensors access
called 'libsensors'. It also contains tools for sensor hardware iden-
tification and I2C bus probing.

This package contains the userspace tools and libraries for %{name}.
You need an lm_sensors-enabled kernel to use it.


%package devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the static libraries and
header files for developing software using %{name}.


%prep
%setup -q
%patch0 -p1


%build
export RPM_OPT_FLAGS
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=/usr             \
	install
rm -rf $RPM_BUILD_ROOT/usr/include/linux
rm -rf $RPM_BUILD_ROOT/lib

perl -p -i -e "s,/usr/local/bin/sensors,/usr/bin/sensors,g" prog/init/lm_sensors.init
install -m 0755 prog/init/lm_sensors.init $RPM_BUILD_ROOT/etc/rc.d/init.d/lm_sensors
install -m 0640 prog/init/lm_sensors.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/lm_sensors


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING INSTALL
%doc QUICKSTART README* TODO prog/mkdev/mkdev.sh
%doc prog/config/grab_busses.sh prog/daemon/healthd.sh
%doc %dir doc
%config(noreplace) /etc/sensors.conf
/etc/rc.d/init.d/*
%config(noreplace) /etc/sysconfig/lm_sensors
/usr/bin/*
/usr/lib/*.so.*
/usr/sbin/*
/usr/share/man/man1/*
/usr/share/man/man5/*
/usr/share/man/man8/*

%files devel
%defattr(-,root,root)
%dir /usr/include/sensors
/usr/include/sensors/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/man/man3/*


%changelog
* Tue May 04 2004 peter.pramberger@1012surf.net
- created

